> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Update a fundraising pledge

PATCH https://ssuccessv2.com/app/api/v1/fundraising/pledge/update/{id}
Content-Type: application/json

Updates the pledge fields accepted by UpdatePledgeRequest and returns the recalculated pledge resource.

Reference: https://docs.schoolset.io/api-reference/school-set-api/fundraising-pledges/update-fundraising-pledge

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `id` (long, required) — Fundraising pledge ID

### Body (application/json)

This endpoint expects an object.

- `payer_type` (enum, required)
  - Allowed values: `parent`, `family`, `entity`, `donor`, `guest`, `student`
- `payer_id` (integer, required)
- `fundraising_fund_id` (integer, optional, nullable)
- `fundraising_id` (integer, optional, nullable)
- `amount` (double, optional, nullable)
- `start_date` (date, optional, nullable)
- `pledge_date` (date, optional, nullable)
- `due_date` (date, optional, nullable)
- `of_installments` (integer, optional, nullable)
- `amount_per_installment` (double, optional, nullable)
- `recurring_period_id` (integer, optional, nullable)
- `indefinite` (boolean, optional, nullable)
- `auto_renew` (boolean, optional, nullable)
- `note` (string, optional, nullable)
- `cell_phone` (string, optional, nullable)
- `email` (string, optional, nullable)
- `pair` (list of enum, optional)
  - Allowed values: `amount`, `amount_per_installment`, `of_installments`

## Response

### 200

Updated pledge

- `status` (string, required)
- `message` (string, required)
- `data` (map from string to any, required) — Updated pledge resource

## Errors

### 401 Unauthorized Error

Authentication required

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

Missing edit-donation permission

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

Pledge or donor not found

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Validation failed

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Examples

**Request**

```json
{
  "payer_type": "donor",
  "payer_id": 42,
  "fundraising_fund_id": 7,
  "fundraising_id": 12,
  "amount": 1500,
  "of_installments": 12,
  "amount_per_installment": 125,
  "recurring_period_id": 2
}
```

**Response**

```json
{
  "status": "success",
  "message": "Saved successfully.",
  "data": {
    "id": 9001,
    "amount": 1500,
    "status": "Active",
    "total_paid": 0,
    "currency": "USD"
  }
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/fundraising/pledge/update/9001"

payload = {
    "payer_type": "donor",
    "payer_id": 42,
    "fundraising_fund_id": 7,
    "fundraising_id": 12,
    "amount": 1500,
    "of_installments": 12,
    "amount_per_installment": 125,
    "recurring_period_id": 2
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/fundraising/pledge/update/9001';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"payer_type":"donor","payer_id":42,"fundraising_fund_id":7,"fundraising_id":12,"amount":1500,"of_installments":12,"amount_per_installment":125,"recurring_period_id":2}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/fundraising/pledge/update/9001"

	payload := strings.NewReader("{\n  \"payer_type\": \"donor\",\n  \"payer_id\": 42,\n  \"fundraising_fund_id\": 7,\n  \"fundraising_id\": 12,\n  \"amount\": 1500,\n  \"of_installments\": 12,\n  \"amount_per_installment\": 125,\n  \"recurring_period_id\": 2\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/fundraising/pledge/update/9001")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"payer_type\": \"donor\",\n  \"payer_id\": 42,\n  \"fundraising_fund_id\": 7,\n  \"fundraising_id\": 12,\n  \"amount\": 1500,\n  \"of_installments\": 12,\n  \"amount_per_installment\": 125,\n  \"recurring_period_id\": 2\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://ssuccessv2.com/app/api/v1/fundraising/pledge/update/9001")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"payer_type\": \"donor\",\n  \"payer_id\": 42,\n  \"fundraising_fund_id\": 7,\n  \"fundraising_id\": 12,\n  \"amount\": 1500,\n  \"of_installments\": 12,\n  \"amount_per_installment\": 125,\n  \"recurring_period_id\": 2\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://ssuccessv2.com/app/api/v1/fundraising/pledge/update/9001', [
  'body' => '{
  "payer_type": "donor",
  "payer_id": 42,
  "fundraising_fund_id": 7,
  "fundraising_id": 12,
  "amount": 1500,
  "of_installments": 12,
  "amount_per_installment": 125,
  "recurring_period_id": 2
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/fundraising/pledge/update/9001");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"payer_type\": \"donor\",\n  \"payer_id\": 42,\n  \"fundraising_fund_id\": 7,\n  \"fundraising_id\": 12,\n  \"amount\": 1500,\n  \"of_installments\": 12,\n  \"amount_per_installment\": 125,\n  \"recurring_period_id\": 2\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "payer_type": "donor",
  "payer_id": 42,
  "fundraising_fund_id": 7,
  "fundraising_id": 12,
  "amount": 1500,
  "of_installments": 12,
  "amount_per_installment": 125,
  "recurring_period_id": 2
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/fundraising/pledge/update/9001")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```